Subject: [iccrg] FW: New Version Notification for draft-pan-tsvwg-pie-00.txt

From: Preethi Natarajan <[email-masked]>
Date: Mon, 10 Dec 2012 16:35:29 -0800

Hi all,

We've submitted a new draft discussing PIE (Proportional Integral
controller Enhanced) AQM scheme. Please find the draft URL and submission
details below.

We are working with Cisco's legal team to have the PIE pseudo-code and
implementations (ns-2, Linux) publicly available. We should have a pointer
to these items in couple of weeks.

Best,
Preethi (on behalf of all authors).

On 12/10/12 11:15 AM, "[email-masked]"
<[email-masked]> wrote:

>
>A new version of I-D, draft-pan-tsvwg-pie-00.txt
>has been successfully submitted by Rong Pan and posted to the
>IETF repository.
>
>Filename:	 draft-pan-tsvwg-pie
>Revision:	 00
>Title:		 PIE: A Lightweight Control Scheme To Address the Bufferbloat
>Problem
>Creation date:	 2012-12-10
>WG ID:		 Individual Submission
>Number of pages: 12
>URL:             
>http://www.ietf.org/internet-drafts/draft-pan-tsvwg-pie-00.txt
>Status:          http://datatracker.ietf.org/doc/draft-pan-tsvwg-pie
>Htmlized:        http://tools.ietf.org/html/draft-pan-tsvwg-pie-00
>
>
>Abstract:
>   Bufferbloat is a phenomenon where excess buffers in the network cause
>   high latency and jitter. As more and more interactive applications
>   (e.g. voice over IP, real time video streaming and financial
>   transactions) run in the Internet, high latency and jitter degrade
>   application performance. There is a pressing need to design
>   intelligent queue management schemes that can control latency and
>   jitter; and hence provide desirable quality of service to users.
>
>   We present here a lightweight design, PIE(Proportional Integral
>   controller Enhanced) that can effectively control the average
>   queueing latency to a target value. Simulation results, theoretical
>   analysis and Linux testbed results have shown that PIE can ensure low
>   latency and achieve high link utilization under various congestion
>   situations. The design does not require per-packet timestamp, so it
>   incurs very small overhead and is simple enough to implement in both
>   hardware and software.
>
>                  
>        
>
>
>The IETF Secretariat
>